# $Revision: 1.10 $, $Date: 2004/12/23 16:59:24 $
Summary:	An Open Source software construction tool
Summary(pl):	OpenSourcowe narzdzie do tworzenia oprogramowania
Name:		scons
Version:	0.96.1
Release:	4
License:	MIT, freely distributable
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/scons/%{name}-%{version}.tar.gz
# Source0-md5:	45b1c346edd8a0970210aeb1e82557c9
URL:		http://www.scons.org/
Requires:	python >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SCons is an Open Source software construction tool - that is, a build
tool; an improved substitute for the classic Make utility; a better
way to build software. SCons is based on the design which won the
Software Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of all
dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.
SCons uses MD5 signatures to rebuild only when the contents of a file
have really changed, not just when the timestamp has been touched.
SCons supports side-by-side variant builds, and is easily extended
with user-defined Builder and/or Scanner objects.

%description -l pl
SCons to wypuszczone z oglnodostpnymi rdami narzdzie do
budowania oprogramowania; jest to ulepszony zamiennik klasycznego
narzdzia Make. SCons jest oparte na opracowaniu, ktre wygrao
konkurs Software Carpentry owania w sierpniu 2000.

"Pliki konfiguracyjne" SCons to skrypty Pythona, co eliminuje potrzeb
uczenia si skadni nowego narzdzia. SCons zachowuje globalny widok
wszystkich zalenoci w drzewie i moe przeszukiwa pliki rde (lub
inne) w poszukiwaniu niejawnych zalenoci, takich jak pliki podane w
liniach #include. SCons uywa sygnatur MD5, aby przebudowywa tylko
wtedy, kiedy naprawd si zmienia zawarto pliku, a nie przy samej
zmianie czasu modyfikacji. SCons obsuguje budowanie wariantowe i jest
atwo rozszerzalny przez zdefiniowane przez uytkownika obiekty
Builder i/lub Scanner.

%prep
%setup -q

%{__perl} -pi -e "s@'lib'@'share'@" script/{scons,sconsign}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--record=INSTALLED_FILES \
	--install-lib=%{py_sitescriptdir} \
	--install-scripts=%{_bindir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install scons*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scons.spec,v $
Revision 1.10  2004/12/23 16:59:24  saq
- release 4 for rebuild with python 2.4

Revision 1.9  2004/09/03 17:38:28  darekr
- updated to 0.96.1

Revision 1.8  2004/08/20 21:09:23  qboosh
- removed dir belonging to python

Revision 1.7  2004/08/08 12:16:56  andree
- noarch really fixed (use py_sitescriptdir, 'lib' to 'share')

Revision 1.6  2004/08/07 23:50:05  andree
- remove noarch; rel. 3

Revision 1.5  2004/04/10 15:51:00  qboosh
- lib64 fix, release 2

Revision 1.4  2004/03/14 19:16:19  adamg
- updated to 0.95

Revision 1.3  2003/12/06 03:51:38  domelu
- up to 0.94

Revision 1.2  2003/08/22 08:41:27  qboosh
- pl, cleanups

Revision 1.1  2003/08/21 21:26:21  undefine
- initital pld version
